Bug 510738 - i945G : Xorg crashes every ~24 hours
i945G : Xorg crashes every ~24 hours
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 10:18 EDT by Frédéric COIFFIER
Modified: 2015-02-16 08:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:33:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log but without any trace about the crash (27.32 KB, text/plain)
2009-07-10 10:18 EDT, Frédéric COIFFIER
no flags Details

  None (edit)
Description Frédéric COIFFIER 2009-07-10 10:18:24 EDT
Created attachment 351268 [details]
Xorg.0.log but without any trace about the crash

Description of problem:

Xorg crashes after some hours with an Intel 945G : I get a coloured mosaic on the screen and I have to hard reset the PC.

KMS is used. KDE doesn't use Desktop effect.
I don't use any OpenGL applications. Only VirtualBox, an NXClient, some consoles, Firefox, Thunderbird.

Version-Release number of selected component (if applicable):

xorg-x11-drv-intel-2.7.0-7.fc11.i586

How reproducible:

Use the desktop normally and wait for some hours
 
Actual results:

Xorg crashes by displaying a coloured mosaic.

Expected results:

No crash

Additional info:

-
Comment 1 Warren Togami 2009-07-10 11:08:54 EDT
This happens for me on x86_64 as well.  It seems to not happen with nomodeset.
Comment 2 Frédéric COIFFIER 2009-07-23 05:34:48 EDT
I confirm it solves the problem.
Thank you
Comment 3 Jean-pierre Cartal 2009-07-27 05:13:49 EDT
Same problem for me.
I just added the nomodeset option to see if I get any improvement.
Comment 4 Matěj Cepl 2009-08-13 09:27:28 EDT
(In reply to comment #0)
> KMS is used. KDE doesn't use Desktop effect.
> I don't use any OpenGL applications. Only VirtualBox, an NXClient, some
> consoles, Firefox, Thunderbird.

Most likely something with KMS ... could we get output of dmesg command AFTER it crashes, please?
Comment 5 Artem 2009-08-18 04:07:22 EDT
Unfortunately it is absolutely not possible to get any output, as system hangs completely, I can't even ping it after hang. As it was written in bug description - only hard reset.
Comment 7 Matěj Cepl 2009-11-05 13:34:27 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Bug Zapper 2010-04-27 11:35:53 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 09:33:46 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Frédéric COIFFIER 2015-02-16 08:20:04 EST
I cannot reproduce the problem because I no longer own this hardware and I no longer use this Fedora version.

Note You need to log in before you can comment on or make changes to this bug.